/*- Написати функцію filterBy(), яка прийматиме 2 аргументи. Перший аргумент - масив, 
який міститиме будь-які дані, другий аргумент - тип даних.
- Функція повинна повернути новий масив, який міститиме всі дані, які були передані в аргумент,
 за винятком тих, тип яких був переданий другим аргументом. Тобто якщо передати
  масив ['hello', 'world', 23, '23', null],
 і другим аргументом передати 'string', то функція поверне масив [23, null]. */

 const arr = ['мишка','кицька',87,25,'пес']
 let type = prompt('Введіть тип даних');
 if (type === 'number'){
   parseInt((type));
 }
 let arr2 = [];
 
 function filterBy(a, b){
   for(let i = 0; i < a.length; i++){
      if(typeof a[i] === b){
         delete a[i];
     } else{
       arr2.push(a[i])
     }
  }
 }


filterBy(arr,type);
console.log(arr2)